
"""
#######################################################################
#
# Licensed Materials - Property of Pipelinefx L.L.C.
#
#
# (C) COPYRIGHT Pipelinefx Limited Liability Corporation.
#  All Rights Reserved.
#                               
#  US Government Users Restricted Rights - Use, duplication or
#  disclosure restricted by GSA ADP Schedule Contract with 
#  Pipelinefx L.L.C.
#
# $DateTime: 2012/10/09 15:49:27 $
# $Revision: #2 $
# $Change: 10138 $
# $Id: //depot/main/qubeMobileServer/util/fileUtils.py#2 $
# $File: //depot/main/qubeMobileServer/util/fileUtils.py $
#
# Written by: Brian Knudson / PFX
#             briank@pipelinefx.com
#             2012-06-04
#
# Description:
#  File utils for qubeMobileServer
#
# Notes:
#
#######################################################################
"""
import sys
import base64
import pickle

def create_encoded_file(data,filename):
    """
    Creates an encoded file that can later be decoded.
    The file is obfuscated, but not secure.  Its contents will
    be the base64 encoded representation of the pickeled data.
    """
    try:
        fp = open(filename,'w')
        fp.write(base64.urlsafe_b64encode(pickle.dumps(data)))
        fp.close()
        return True
    except Exception,e:
        print >>sys.stderr, "Problem writing file '%s': %s" % (filename,e)
        return False

def read_encoded_file(filename):
    """
    Given a filename, this will read and return the file contents.
    It is assumed the file was created with create_encoded_file
    """
    try:
        return pickle.loads(base64.urlsafe_b64decode(open(filename).read()))
    except Exception,e:
        print >>sys.stderr, "Problem reading file '%s': %s" % (filename,e)
        return None
